×
Blue Eagle 5 v1.6.2 has been Released for Kunena 5.2 (20 Jan 2021)

The Kunena team has announce the arrival of Kunena template Blue Eagle 5 v1.6.2 which is now available for download. This version addresses most of the issues that were discovered in development.

REQUIREMENTS
Blue Eagle 1.6.x requires Kunena 5.2.x to work with

Solved [gelöst] Umstieg von PHPKIT auf Kunena

More
7 years 6 months ago - 7 years 6 months ago #1 by wiwa74
Hallo Community,

ich muss eine phpkit Seite mit Forum nach dem aktuellen Joomla 2.5 konvertieren. Dabei geht es primär um die User und das Forum.
Ich habe im Joomla bereits den CB installiert und das Kunena Forum (3.0).
Ich habe schon gesucht, aber für die letzte phpkit version (1.6.6) gibt es keinen converter um diese Daten vom Forum und Benutzer zu übernehmen, auch nicht mit zwischenschritten.
Hat jemand einen passenden Converter, oder kann mir die notwendigen SQL Befehle nennen?

Wie gesagt, es geht nur um die User und Forenbeiträge/Kategorien. Die normalen Homepage Beiträge spielen dabei keien Rolle.

Vielen Dank
Last edit: 7 years 6 months ago by wiwa74.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago #2 by wiwa74
Hatte dieses schon probiert: www.kunena.org/forum/german-k-2-0-and-k-...nena?start=10#122012
Ging aber leider nicht bei mir, ich bekomme nur eine weisse Seite.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago #3 by rich
Herzlich willkommen wiwa74!

Diese Beiträge sind schon über ein Jahr alt und hatten für Joomla 1.6 und Kunena 1.6 funktioniert. Inzwischen gab es Änderungen in den Datenbanken sowohl bei Joomla, als auch Kunena.

Gibt es eine Möglichkeit, von phpkit zu phpBB3 zu konvertieren? Über diesen Umweg sollte es klappen, allerdings nur mit Kunena 1.7. Einen anderen Migrator gibt es nicht, aber falls es auf diesem Weg klappt, sollten danach die weiteren Kunena Upgrades kein Problem darstellen.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago #4 by wiwa74
Hallo rich,

dann werde ich mal diesen Weg austesten. Vielleicht klappt dies ja.
Ich hatte es schon über das smf probiert, ist aber auch gescheitert. Alle converter die ich bis jetzt gefunden hatte, waren für die ältere phpkit-version.

Ich gebe Feedback ob und wie es geklappt hat.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago - 7 years 6 months ago #5 by MfGLucker
Ich habe mich seit der Version 1.6 von Joomla und Kunena nicht mehr damit befasst, kann hier also leider nicht wirklich helfen. Ich würde versuchen die 1.6er Versionen zu bekommen und damit versuchen. Upgraden auf aktuelle Version ist dann ja möglich.


Joomla 1.6
Kunena 1.6

Sammle erst die Fakten, dann kannst du sie verdrehen, wie es dir passt.


Mark Twain
test
Last edit: 7 years 6 months ago by MfGLucker.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago #6 by wiwa74
Danke dass Du Dich meldest.
Das Problem bei der Sache ist aber leider, dass sich die datenbankstruktur von phpkit von 1.6.03 zu 1.6.6 geändert hat. Die Joomla und kunena Habe ich bereits in der alten version installiert, um dann hoch zu patchen.
Könntest Du ggf. mir sagen, was ich in dem Script ändern muss? Ich bekomme nur eine weisse Seite angezeigt. Das /* ...*/ hatte ich weggemacht.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago - 7 years 6 months ago #7 by MfGLucker
Wenn ich mich recht erinnere, dann musst du den import in schritten machen, erst die user, dann die kategorien, dann die beiträge. Wenn du alles auf einmal machst dann kommt eine weiße seite.

Kleiner Tipp noch, installiere dir alles auf deinem Rechner auf einem Xampp oder Wamp Server. kann man schön mit testen und ist wesentlich schneller als die hochladerei auf einen Webspace.

Sammle erst die Fakten, dann kannst du sie verdrehen, wie es dir passt.


Mark Twain
test
Last edit: 7 years 6 months ago by MfGLucker.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago #8 by wiwa74
Erste gute Nachrichten. Mit joomla 1.6 und Kunena 1.6 hat der Import vom phpkit 1.6.6 funktioniert. Ich musste nur noch die Kategorien neu zuordnen und die Berechtigungen der User neu setzen. Desweiteren war noch die Beitragszählung neu durchzuführen.
Jetzt muss ich nur noch irgendwie auf Joomla 2.5 und Kunena 3.0 updaten. Könnten dort Probleme auftreten?

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago #9 by wiwa74
So, ich bin fertig, alles aktuell und läuft.
Zunächst ein update auf Joomla 1.7.5 durchgeführt.
Dann auf Kunena 2.04 upgedatet.
Joomla auf 2.5.11 upgedatet und anschließend Kunena auf 3.0.0

Hat alles gut funktioniert. Vielen Dank. Besonders an MfG Lucker, der Tip mit dem Schrittweise importieren war der Knackpunkt gewesen.

Please Log in or Create an account to join the conversation.

More
7 years 6 months ago - 7 years 6 months ago #10 by rich
Das ist schon mal sehr gut. Je nachdem, welche 1.6 Joomla Version jetzt bei dir installiert ist, benötigst du mehrere Schritte. Du musst erst zu Joomla 1.6.5 aktualisieren. Die passende Patchdatei findest du hier.
joomlacode.org/gf/project/joomla/frs/?ac...&frs_package_id=5969

Danach zu Joomla 1.7 aktualisieren. Hier gibt es eine Anleitung, samt zugehörenden Link für den Download von Joomla 1.7.
software-lupe.de/sl-tipps/193-cms/574-jo...pgrade-erklaert-tipp

Danach weiter zu Joomla 2.5
software-lupe.de/sl-tutorials/422-cms/59...-25-updaten-tutorial

Wichtig! Bevor du damit beginnst, erstelle bitte eine extra Datenbanksicherung nur mit den Kunena Tabellen, dann kannst du auf diese jederzeit zurückgreifen und notfalls wieder einspielen!

Wenn du das erledigt hast, kannst du Kunena mal beiseite lassen, bist du Joomla zu 2.5 aktualisiert hast.
Wenn du auch damit fertig bist, upgrade zu Kunena 1.7.2 (einfach drüber installieren) joomlacode.org/gf/project/kunena/frs/?ac...50&_br_pkgrls_page=2 dann weiter zu Kunena 2.0.4 und zuletzt auf Kunena 3.0.

Nachtrag: Der Zwischenschritt über Kunena 1.7.2 ist nicht unbedingt nötig (siehe den Beitrag zuvor).
Last edit: 7 years 6 months ago by rich.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.084 seconds